# Create a time off request

Source: https://www.supervisible.com/developers/time-off/post-time-off

POST /time-off



## POST /time-off

Create a time off request

Base URL: https://app.supervisible.com/api/v1

Required scope: write:time_off

## Operation contract

The definition below includes parameters, request bodies, response schemas, examples and authentication requirements.

```json
{
  "summary": "Create a time off request",
  "tags": [
    "time-off"
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-required-scope": "write:time_off",
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "userId": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "timeOffTypeId": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "startDate": {
              "type": "string",
              "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
            },
            "endDate": {
              "type": "string",
              "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
            },
            "availability": {
              "type": "integer",
              "minimum": 0,
              "maximum": 24
            },
            "reason": {
              "anyOf": [
                {
                  "type": "string",
                  "maxLength": 2000
                },
                {
                  "type": "null"
                }
              ]
            },
            "status": {
              "type": "string",
              "enum": [
                "pending",
                "approved",
                "rejected"
              ]
            }
          },
          "required": [
            "userId",
            "timeOffTypeId",
            "startDate",
            "endDate",
            "availability"
          ],
          "additionalProperties": false,
          "example": {
            "userId": "019cb675-c4df-7f8b-8a83-5f28581f5e7e",
            "timeOffTypeId": "019cb675-c4d6-7e90-8806-25e5145c3a06",
            "startDate": "2026-02-03",
            "endDate": "2026-02-05",
            "availability": 0,
            "status": "pending"
          }
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful response",
      "content": {
        "application/json": {
          "example": {
            "data": {
              "userId": "019cb675-c4df-7f8b-8a83-5f28581f5e7e",
              "timeOffTypeId": "019cb675-c4d6-7e90-8806-25e5145c3a06",
              "startDate": "2026-02-03",
              "endDate": "2026-02-05",
              "availability": 0,
              "status": "pending"
            }
          }
        }
      }
    },
    "400": {
      "description": "Invalid request"
    },
    "401": {
      "description": "Unauthorized"
    },
    "403": {
      "description": "Missing required scope or current member permission"
    },
    "404": {
      "description": "Not found"
    },
    "409": {
      "description": "Conflict; refresh current state and preview again"
    },
    "429": {
      "description": "Rate limited; honor Retry-After"
    }
  },
  "parameters": []
}
```

## Referenced definitions

```json
{
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "API Key"
      }
    }
  }
}
```

[Complete OpenAPI specification](https://www.supervisible.com/openapi/public-api-v1.json)
